/**
 * create by robot 
 * date Tue Sep 24 08:52:27 CST 2019 
 */ 

var pageIndex=1;
$(document).ready(function(){
	//调用查询
	pageIndex=StringUtil.getQueryString('pageIndex');
	if(pageIndex==undefined||pageIndex==null){
		pageIndex=1;
	}
	queryFans(pageIndex);
	//绑定hover操作
	$(document).on('mouseenter','.listOperaters',function(){
		$(this).children(".ops_itemDiv").show();
		var width=15;
		$(this).children('div').find('li').each(function(){
			//获取li宽度
			width+=$(this).width();
		});
		$(this).children('div').width(width);
	})
	$(document).on('mouseleave','.listOperaters',function(){
		$(this).children(".ops_itemDiv").hide();
	});

	//日历控件
	layui.use(['layer', 'laydate'], function() {
		var layer = layui.layer;
		laydate = layui.laydate;
		laydate.render({
			elem: '#date1', //指定元素
			format:'yyyy-MM-dd 00:00:00'
		});
		laydate.render({
			elem: '#date2', //指定元素
			format:'yyyy-MM-dd 23:59:59'
		});
	});

	//行选中事件
	$("#allCheck").find("span").click(function() {
		$(this).toggleClass('checked');
		if($(this).hasClass('checked')){
			//所有列选中
		  $(".checker").find("span").each(function () {
		         $(this).addClass("checked");
		    })
		}else{
			//所有列取消选中
			$(".checker").find("span").each(function () {
				 $(this).removeClass("checked");
		    })
		}
	});

	//单个选中
	$(document).on('click','.checkeBox span',function() {
		$(this).toggleClass('checked');
		//设置头部事件
		var length=$('.checkeBox span').length;
		var count=0;
		$(".checkeBox").find("span").each(function () {
	        if($(this).hasClass("checked")){
	        	count++;
	        }
	   })
		//全选
	   if(count==length){
		   $("#allCheck").find("span").addClass('checked');
	   }else{
		   $("#allCheck").find("span").removeClass('checked');
	   }
	})
	//左右div高度相等
	var left_content_height = $(".right-content").height();
	$(".left-content").height(left_content_height+35);
	var sub_left_height=$(".res-menu").height(left_content_height-60);
});

//查询
function queryFans(index){
	if(typeof(index)=='undefined'){
		index=1;
	}
	
	var url=ctx+'/fans/queryFansByPage';
	$.ajax({  
        url:ctx+'/fans/queryFansByPage',  
        type:"post", 
        dataType:"json",  
        data:{  
        	"currPage":index,
        	"startTime":$('#date1').val(),
        	"nickName":$('#nickName').val(),
        	"endTime":$('#date2').val(),
        	"merchantName":$("#merchantName").val(),
        	"lastMerchantName":$("#lastMerchantName").val(),
        	"orderNumber":$("#orderNumber").val(),
        	"lastOrderNumber":$("#lastOrderNumber").val(),
        },  
        success:function(result){  
        	var presentPage = result.currPage;
        	//渲染数据
        	$('#data_content').empty();
        	var header='';
        	$.each(result.fansList,function(i){
        		var orderNumber = (presentPage-1)*12+i+1;
        		var fans=result.fansList[i];
        		var data='';
        		data+='<tr class="odd">';
        		data+='<td class="textc">';
				data+='		 <div class="checker checkeBox">';        		data+='		 <span class=""  data-id="'+fans.id+'"><input type="checkbox"  value=""></span>';
        		data+='		</div>';
        		data+='</td>';
        		data+='<td class="textc">'+orderNumber+'</td>';
        		/*data+='<td class="textc">'+fans.userId+'</td>';*/
        		data+='<td class="textc"><img alt="" src="'+fans.logo+'" onerror="javascript:this.src=\'https://www.shouyinbei.net/resources/images/error.jpg\'"  style="width:60px;height:30px"></td>';
        		var nickName='';
        		if(StringUtil.isNotBlank(fans.nickName)){
        			nickName=fans.nickName;
        		}
        		data+='<td class="textc">'+nickName+'</td>';
        		var consumMoney='';
        		if(StringUtil.isNotBlank(fans.consumMoney)){
        			consumMoney=fans.consumMoney;
        		}
        		data+='<td class="textc">'+consumMoney+'</td>';
        		var merchantName='';
        		if(StringUtil.isNotBlank(fans.merchantName)){
        			merchantName=fans.merchantName;
        		}
        		data+='<td class="textc">'+merchantName+'</td>';
        		
        		var lastMerchantName='';
        		if(StringUtil.isNotBlank(fans.lastMerchantName)){
        			lastMerchantName=fans.lastMerchantName;
        		}
        		
        		var shareMoney='';
        		if(StringUtil.isNotBlank(fans.shareMoney)){
        			shareMoney=fans.shareMoney;
        		}
        		
        		var consumTime='';
        		if(StringUtil.isNotBlank(fans.consumTime)){
					consumTime= dateFtt("yyyy-MM-dd hh:mm:ss",new Date(fans.consumTime));
        		}
        		data+='<td class="textc">'+consumTime+'</td>';
//        		var lastconsumTime='';
//        		if(StringUtil.isNotBlank(fans.lastconsumTime)){
//        			lastconsumTime=new Date(fans.lastconsumTime).toYYYYMMDDHHMMSS();
//        		}
//        		data+='<td class="textc">'+lastconsumTime+'</td>';
        		var orderNumber='';
        		if(StringUtil.isNotBlank(fans.orderNumber)){
        			orderNumber=fans.orderNumber;
        		}
        		data+='<td class="textc">'+orderNumber+'</td>';
        		
        		var lastOrderNumber='';
        		if(StringUtil.isNotBlank(fans.lastOrderNumber)){
        			lastOrderNumber=fans.lastOrderNumber;
        		}
        		if (result.admin){
        			data+='<td class="textc">'+lastMerchantName+'</td>';
        			data+='<td class="textc">'+lastOrderNumber+'</td>';
				}
				data+='<td class="textc">'+shareMoney+'</td>';
        		/*data+='<td class="textc">';
        		data+='<div class="positionr listOperaters">';
        		data+='		<a href="javascript:void(0);"  class="icon-large dlblock w16 h16"><img src="'+resourcePath+'/images/angle-down.png"/></a>';
        		data+='		<div class="ops_box ops_itemDiv positiona clearfix whitebg">';
        		data+='			<ul>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showFansDetails('+fans.id+')" class="btn btn-primary fa fa-edit ops_more f12">编辑</a></li>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="initDeleteFans('+fans.id+')" class="btn btn-primary fa fa-remove ops_more f12">删除</a></li>';
        		data+='				<li class="fl ml2 mr2"><a href="javascript:void(0);" onclick="showFansDetails('+fans.id+')" class="btn btn-primary fa fa-detail ops_more f12">明细</a></li>';
        	    data+='			</ul>';
              data+='		</div>';
        	    data+='</div>';
        	    data+='</td>';*/
        	    data+='</tr>';
        	    $('#data_content').append(data);
        	});
        	//分页
        	$('#pageCount').html(result.pageCount);
        	
      	$('#currPage').html(result.currPage);
          $('#totalCount').html(result.count);
           	//设置分页
           	pageIndex=result.currPage;
			$('#pagination').pagination({
				pageCount: result.pageCount,
				jump: true,
				coping: true,
				jump: true,
				homePage: '首页',
				endPage: '末页',
				prevContent: '上页',
				nextContent: '下页',
				current:result.currPage,
				callback:function(api){
					pageIndex=api.getCurrent();
					queryFans(api.getCurrent());
				}
			});
        } 
    });  
	//表头列不选中
	$("#allCheck").find("span").removeClass('checked');
}

//初始化新增
function initAddFans(){
	window.location=ctx+'/fans/queryFansDetails?pageIndex='+pageIndex;
}

//初始化修改
function showFansDetails(id){
	window.location=ctx+'/fans/queryFansDetails?id='+id+'&pageIndex='+pageIndex;
}

//初始化删除
function initDeleteFans(id){
	
		layer.open({
		type: 1,
		closeBtn: 1,		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r'	, //按钮居中
		shade: 0.3 ,//不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteFans(id,true);
		}
	});
}

//删除
function deleteFans(id,showMsg){
	$.ajax({
		url:ctx+'/fans/deleteFans',
		data:[{
			name:'id',
			value:id
		}],
		type:'POST',
		dataType:'json',
		success:function(){
			queryFans(pageIndex);
			if(showMsg){
				layer.msg('删除成功!');	
			}
		}
	});
}
//头部编辑
function initEditFans(){
	var count=0;
	var id=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
        	 id=$(this).data('id');
         }
    })
    if(count>1){
    	layer.msg('只能选中一行记录进行操作!');
    	return ;
    }
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	 if(id>0){
	  showFansDetails(id);
	 }
}
//头部删除
function initBatchDeleteFans(){
	var count=0;
	$(".checkeBox").find("span").each(function () {
         if($(this).hasClass("checked")){
        	 count++;
         }
    })
	
	 if(count==0){
    	layer.msg('请选中一行记录!');
    	return ;
	  }
	

	layer.open({
		type: 1,
		closeBtn: 1,
		title: '提示',
		offset: 'm', //具体配置参考：offset参数项
		area: ['300px', '180px'],
		content: '<div style="padding:10px;" class="textc mt20">确认删除吗？</div>',
		btn: ['确认','取消'],
		btnAlign: 'r', //按钮居中
		shade: 0.3, //不显示遮罩
		yes: function() {
			layer.closeAll();
			deleteBatchFans();
		}
	});
	
}
//批量删除
function deleteBatchFans(){
	
	$(".checkeBox").find("span").each(function () {
        if($(this).hasClass("checked")){
        	var id=$(this).data('id');
        	deleteFans(id,false);
        	layer.msg('删除成功!');	
        }
   })
}
//时间格式化处理
function dateFtt(fmt,date)
{ //author: meizz
	var o = {
		"M+" : date.getMonth()+1,                 //月份
		"d+" : date.getDate(),                    //日
		"h+" : date.getHours(),                   //小时
		"m+" : date.getMinutes(),                 //分
		"s+" : date.getSeconds(),                 //秒
		"q+" : Math.floor((date.getMonth()+3)/3), //季度
		"S"  : date.getMilliseconds()             //毫秒
	};
	if(/(y+)/.test(fmt))
		fmt=fmt.replace(RegExp.$1, (date.getFullYear()+"").substr(4 - RegExp.$1.length));
	for(var k in o)
		if(new RegExp("("+ k +")").test(fmt))
			fmt = fmt.replace(RegExp.$1, (RegExp.$1.length==1) ? (o[k]) : (("00"+ o[k]).substr((""+ o[k]).length)));
	return fmt;
}
